init	bsf _rp0
	call 0x3FF
	movwf OSCCAL
	
	; adittional detection on the reset type performed can be here
	
	; Some of the settings presented already do the same as is on
	; power-on reset, so they are here mainly due to purpose of
	; making complete list of things to set up.
	; Basic setup made by this program is: ALL PINS ARE DIGITAL I/O,
	; ALL OTHER FEATURES ARE TURNED OFF AN CONSUME NO OPERATIVE CURRENT.
	; Change it as you like.
	
	movlw B'10000001'	; OPTION and pullups setup 1:4 TMR0
	movwf OPTION_REG
	movlw B'00000000'
	movwf WPU
	
	movlw B'00000000'	; Reference voltage setup
	movwf VRCON
	
;	movlw B'00000000'	; A/D setup
;	movwf ANSEL
	
	bcf _rp0
;	movlw B'00000000'
;	movwf ADCON0
	
	movlw B'00000111'	; comparator setup
	movwf CMCON
	
	clrf TMR1L		; TMR1 setup
	clrf TMR1H
	movlw B'00000000'
	movwf T1CON
	
	bsf _rp0		; GPIO setup
	movlw B'00000000'
	movwf TRISIO
	bcf _rp0
	clrf GPIO
	
	bsf _rp0
	movlw B'00000000'	; interrupts setup
	movwf PIE1
	movlw B'00000000'
	movwf IOCB
	bcf _rp0
	movlw B'00000000'
	movwf PIR1
	movlw B'00000000'
	movwf INTCON
	
	RETURN