; program pre blikatko, 3 vystupy, PIC12F629
; postup: casovac1 - ukazuje kolko % ma byt v sucasnom... klesa z 255 na nulu - potom presunie tazisko na druhy vystup a dookola.
; casovac2 - RTCC?
; pointer0 - na 1 z 3-ch vystupov ;)
; poimter1 -  na pointer0 + 1
; hmm. asi vsetko. spravit monitory... a  trochu obetavossti.
; C1 ++ __ 1 cyklus PWM porovnania RTCC a C1, TMR0 OVF => C1 ++ - ak C1 ovf - P0 ++, P1 = P0 +1
;.. nachystat tabulky vystupov - vlastne len 3 bajty!!! pre 3 mozne situacie! (z max 4-ch moznych :)) - 1 pin input only I think.)
; to je cely program. 
; HW, vypocet periody PWM. cyklus - 0.5~3s / 256 = 2~10ms .. ? 1us Tcy-> 2000-10000 Tcy na TMR0 rollover
;
; takze preddelic TMR0 musi byt 2048/256 - 16384/256 = 8-64
; zvolime nejaku hodnotu.
; PWM cyklus bude 64HZ-512Hz
; 
; Nastavit B0 = f(P0)
; Nastavit B1 = f(P1)
; out=B0
; if tmr0 >= C1 out=B1
; C1 ++
	
__keydelay	equ	20
	CBLOCK 0x20
	P0, P1, B0, B1, C1, keys, keyt0, keyt1
	ENDC
#define _run	keys, 0
	
	; Dva vstupy na tlacidla - active LOW, 1 = start, 2 = stop
	; dorobit zvysovanie rychloasti pri viac stlaceniach tlacidla!
	; t.j. OPTION sa bude nastavovat AJ v keytest ;)
	
	
loop	movf P0, w
	call table
	movwf B0
	movf P1, w
	call table
	movwf B1
	
	call keytest
	
	btfss _run
	goto eloop
	
lp1	movf B0, w
	clrf TMR0
	movwf GPIO
	
lp2	movf TMR0, w
	subwf C1, w
	skpnc
	goto lp2
	
	movf B1, w
	movwf GPIO
	
eloop	btfss _T0IF
	goto eloop
	
	clrf GPIO
	bcf _T0IF
	clrwdt
	
	incfsz C1, f
	goto loop
	
	incf P0, w		; zaruka cyklickosti, pocet cyklov 2^n
	andlw B'01111111'
	movwf P0
	incf P0, w
	andlw B'01111111'
	movwf P1
	
;	decfsz P0, f	; po starom
;	goto eloop2
;	movlw .4	; cykluje od 1 po 4
;	movwf P0
;	
;eloop2	incf P0, w	; a tento od 5 po 2
;	movwf P1
	
	goto loop
	
	
;_________________________________________________________
keytest	clrw			; copyleft mfb, 2003, 2004
	btfss _GP3		; any port pin
	incfsz keyt0, w		; counter
	movwf keyt0
	movlw __keydelay	; delay
	subwf keyt0, w
	skpz
	goto keyt2
	
	bsf _run
		; OPTION_REG :~)
	
	;dorobit zrychlovanie podla poctu stlaceni s urcitym maximom
	;t.j. zaciname s preddelicom 16 a najrychlejsi moze byt 4
	;16, 8, 4 ...iba... :(
	;
	
keyt2	clrw			; copyleft mfb, 2003, 2004
	btfss _GP4		; any port pin
	incfsz keyt1, w		; counter
	movwf keyt1
	movlw __keydelay
	subwf keyt1, w
	skpz
	RETURN
	
	;movlw B'10000011'	; :16 TMR0 - asi 1s perioda
	;OPTION
	
	bcf _run
	clrf GPIO
	RETURN
	
;__________________________________________________________
table	addwf PCL, f
;;;	retlw 0			; 0 nikdy nebude..
	retlw B'00000001'
	retlw B'00000010'
	retlw B'00000100'
	retlw B'00100000'
	retlw B'00000001'
	retlw B'00000010'
	retlw B'00000100'
	retlw B'00100000'
	retlw B'00000001'
	retlw B'00000010'
	retlw B'00000100'
	retlw B'00100000'
	retlw B'00000001'
	retlw B'00000010'
	retlw B'00000100'
	retlw B'00100000'	; koniec jedneho 'kruhu' (+16)
	
	retlw B'00000001'
	retlw B'00000011'
	retlw B'00000010'
	retlw B'00000110'
	retlw B'00000100'
	retlw B'00100100'
	retlw B'00100000'
	retlw B'00100001'
	retlw B'00000001'
	retlw B'00000011'
	retlw B'00000010'
	retlw B'00000110'
	retlw B'00000100'
	retlw B'00100100'
	retlw B'00100000'
	retlw B'00100001'
	retlw B'00000001'
	retlw B'00000011'
	retlw B'00000010'
	retlw B'00000110'
	retlw B'00000100'
	retlw B'00100100'
	retlw B'00100000'
	retlw B'00100001'
	retlw B'00000001'
	retlw B'00000011'
	retlw B'00000010'
	retlw B'00000110'
	retlw B'00000100'
	retlw B'00100100'
	retlw B'00100000'
	retlw B'00100001'	; druhy kruh (+32)
	
	retlw B'00000001'
	retlw 0
	retlw B'00000010'
	retlw 0
	retlw B'00000100'
	retlw 0
	retlw B'00100000'
	retlw 0
	retlw B'00000001'
	retlw 0
	retlw B'00000010'
	retlw 0
	retlw B'00000100'
	retlw 0
	retlw B'00100000'
	retlw 0
	
	retlw B'00100000'
	retlw 0
	retlw B'00000100'
	retlw 0
	retlw B'00000010'
	retlw 0
	retlw B'00000001'
	retlw 0
	retlw B'00100000'
	retlw 0
	retlw B'00000100'
	retlw 0
	retlw B'00000010'
	retlw 0
	retlw B'00000001'
	retlw 0			; polkruh tam a polkruh spat (+32)
	
	;este 48
	retlw B'00100001'
	retlw B'00000110'
	retlw B'00000010'
	retlw B'00000101'
	retlw B'00100100'
	retlw B'00000100'
	retlw B'00100010'
	retlw B'00000001'
	retlw B'00100001'
	retlw B'00000101'
	retlw B'00000010'
	retlw B'00000011'
	retlw B'00100100'
	retlw B'00000100'
	retlw B'00100010'
	retlw B'00100001'	; jedna otocka (+16)
	
	;este 32 - tu by som chcel sirokeho hadika
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'
	retlw B'00000011'
	retlw B'00000110'
	retlw B'00100100'
	retlw B'00100001'	; ssss (+32)